// ## Теоретичні питання

// 1. Які існують типи даних у Javascript?
    // У Javascript є 8 основних типів даних
    // 1. Number - будь-яке число, включаючи не цілі числа, обмежені по модулю до 2^53 
    // 2. BigInt - для цілих чисел, вкінці числа додається n
    // 3. String - текстові строки
    // 4. Boolean - правда чи хиба
    // 5. null - нічого
    // 6. undefined - не визначено
    // 7. Object - об'єкт
    // 8. Symbol - унікальні ідентифікатори
// 2. У чому різниця між == і ===?
    // == - не строге порівняння - порівнює посимвольно значення двох змінних,
    // === - строге порівняння - порівнює не лише значення, а ще й типи даних
// 3. Що таке оператор?
    // Оператор - це спеціальний символ, що позначає дію, операцію над операндами. Бувають унарні оператори, які застосовуються до одного операнда, бувають бінарні (логічні, порівняльні)

// ## Завдання

// Реалізувати просту програму на Javascript, яка взаємодіятиме з користувачем за допомогою модальних вікон браузера - `alert`, `prompt`, `confirm`. Завдання має бути виконане на чистому Javascript без використання бібліотек типу jQuery або React.

// #### Технічні вимоги:

// - Отримати за допомогою модального вікна браузера дані користувача: ім'я та вік.
// - Якщо вік менше 18 років - показати на екрані повідомлення: `You are not allowed to visit this website`.
// - Якщо вік від 18 до 22 років (включно) – показати вікно з наступним повідомленням: `Are you sure you want to continue?` і кнопками `Ok`, `Cancel`. Якщо користувач натиснув `Ok`, показати на екрані повідомлення: `Welcome, ` + ім'я користувача. Якщо користувач натиснув `Cancel`, показати на екрані повідомлення: `You are not allowed to visit this website`.
// - Якщо вік більше 22 років – показати на екрані повідомлення: `Welcome, ` + ім'я користувача.
// - Обов'язково необхідно використовувати синтаксис ES6 (ES2015) для створення змінних.
// - Після введення даних додати перевірку їхньої коректності. Якщо користувач не ввів ім'я, або при введенні віку вказав не число - запитати ім'я та вік наново (при цьому дефолтним значенням для кожної зі змінних має бути введена раніше інформація).

// #### Література:

// - [Взаємодія з користувачем: alert, prompt, confirm](https://learn.javascript.ru/uibasic)
// - [Змінні: let і const](https://learn.javascript.ru/let-const)

let userAge = Number(prompt("What is your age?"))
let userName = prompt("What is your name?")

while (!Boolean(userAge)|| (userAge <= 0)|| !userName || userName.length==0)
 {
    //умова для того, щоб значення за замовчування виводилось лише тоді, коли було внесене коректне значення
    if (userAge == 0){
        userAge = Number(prompt("What is your age?"))
    }
    else{
        userAge = Number(prompt("What is your age?",userAge))
    }
    //умова для того, щоб значення за замовчування виводилось лише тоді, коли було внесене коректне значення
    if ((userName == null) || (userName == 0)){ 
        userName = prompt("What is your name?")
    } 
    else {
        userName = prompt("What is your name?", userName)
    }
};

if (userAge < 18) {
    alert(`You are not allowed to visit this website`)
}
else if (userAge <=22) {
    if (confirm(`Are you sure you want to continue?`)){
        alert(`Welcome,  ${userName}`)
    }
    else{
        alert(`You are not allowed to visit this website`)
    }
}
else {
    alert(`Welcome,  ${userName}`)
}


